package com.beanpodtech.allinone.widget.emoji;


import androidx.annotation.Nullable;

import com.aliyun.svideo.common.baseAdapter.BaseQuickAdapter;
import com.aliyun.svideo.common.baseAdapter.BaseViewHolder;
import com.beanpodtech.allinone.R;

import java.util.List;

public class EmojiAdapter extends BaseQuickAdapter<EmojiBean, BaseViewHolder> {


    public EmojiAdapter(@Nullable List<EmojiBean> data, int index, int pageSize) {
        super(R.layout.item_emoji, data);
    }

    @Override
    protected void convert(BaseViewHolder helper, EmojiBean item) {
        //判断是否为最后一个item
        if (item.getId() == 0) {
            helper.setBackgroundRes(R.id.et_emoji, R.drawable.rc_icon_emoji_delete);
        } else {
            helper.setText(R.id.et_emoji, item.getUnicodeInt());
        }


    }


}
